set JAVA_HOME=O:\Program Files\Java\jdk1.6.0_18\bin
set SDKPATH=%iHyperDB%\library
set CLASSPATH=.;%SDKPATH%\hd-datasdk-3.6.1.jar;%SDKPATH%\log4j-1.2.13.jar;%SDKPATH%\commons-lang3-3.4.jar

if not exist %SDKPATH%\hdDataSDK.dll echo set env iHyperDB before running!

@rem executable path should be added too. xcopy %iHyperDB%\executable\*.dll %SDKPATH%\
set PATH=%SDKPATH%;%JAVA_HOME%;%PATH%

javac com\baosight\hdsdk\example\Demo.java
rem java -Djava.library.path=%SDKPATH% com.baosight.hdsdk.example.Demo

rem javac -cp %CLASSPATH% com/baosight/hdsdk/example/testHDB.java
rem java -Djava.library.path=%SDKPATH% com.baosight.hdsdk.example.testHDB

javac -cp %CLASSPATH% com/baosight/hdsdk/example/testQuery.java
java -Djava.library.path=%SDKPATH% com.baosight.hdsdk.example.testQuery
